%global ISONAME KOI8-R
%global momorel 11
Name: XFree86-%{ISONAME}
Version: 1.0
Release: %{momorel}m
License: see "*LEGALNOTICE" and see "*COMMENTS"

# Source0: http://www.inp.nsk.su/~bolkhov/files/fonts/cyr_rfx/srctgz/cyr-rfx-koi8-ub-1.1.bdfs.tgz
Source0: cyr-rfx-koi8-ub-1.1.bdfs.tgz
Source1: Makefile.cyrfonts
Source2: ftp://ftp.ksi-linux.com/pub/patches/ksi-XFree86-cyrillic-fonts.tar.gz
# NoSource: 2
# Patch: koi8-ub-bcl.patch
Patch0: XFree86-KOI8-R-bcl.patch
Requires: XFree86 > 3.2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Group: User Interface/X
Summary: Russian and Ukrainian language fonts for the X Window System.
Prereq: chkfontpath
BuildPreReq: XFree86-font-utils

 
%description
If you use the X Window System and you want to display Russian and
Ukrainian fonts, you should install the XFree86-KOI8-R package.

This package contains a full set of Russian and Ukrainian fonts, in
compliance with the KOI8-R standard. The fonts included in
this package are distributed free of charge and can be used
freely, subject to the accompanying copyright:

You may also need to install one or more other XFree86 fonts
packages.

To install the X Window System, you will need to install the
XFree86 package, the XFree86 package which corresponds to your
video card, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

Finally, if you are going to develop applications that run as
X clients, you will also need to install XFree86-devel.

%package 75dpi-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Summary: A set of 75 dpi Russian and Ukrainian language fonts for X.
License: see "CHT_LEGALNOTICE" and see "LU_LEGALNOTICE"

%description 75dpi-fonts
The XFree86-KOI8-R-75dpi-fonts package contains a set of Russian and
Ukrainian language fonts in 75 dpi resolution for the X Window System.
If you have a high resolution monitor capable of supporting 100 dpi,
you should install the 100 dpi version of this package instead.

If you are installing the X Window System and you need to display
Russian and Ukrainian language characters in 75 dpi resolution, you should
install this package.  You may also need to install one or more of the
other XFree86 fonts packages as well.  To install the X Window System,
you will need to install the XFree86 package, the XFree86 video card
package that corresponds to your video card, the X11R6-contrib
package, the Xconfigurator package and the XFree86-libs package.  If
you are going to develop applications that will run as X clients, you
will also need to install XFree86-devel.

%package 100dpi-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Summary: KOI8-R fonts in 100 dpi resolution for the X Window System.
License: see "COPYRIGHT"

%description 100dpi-fonts
The XFree86-KOI8-R-100dpi-fonts package includes Russian and Ukrainian
(KOI8-R) fonts, in 100 dpi resolution, for the X Window System.

If you need to display the special characters used by Russian and Ukrainian 
languages on your X Window System, and your monitor can support 100 dpi
resolution, you should install the XFree86-KOI8-R-100dpi-fonts
package.  You may need to install one or more of the other XFree86
fonts packages, as well.  To install the X Window System, you will need
to install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  If you're going
to develop applications which run as X clients, you'll also need to
install XFree86-devel.

If you need to display Russian and Ukrainian language fonts on your X
Window System, you should install the XFree86-KOI8-R-Type1-fonts
package.  You may need to also install one or more of the other XFree86
fonts packages.  To install the X Window System, you will need to
install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  Finally, if you
are going to develop applications that will run as X clients, you'll
need to install XFree86-devel.

%prep
%setup -q -n koi8-ub -a 2
cp -a Cyrillic/100dpi ./
cp %{SOURCE1} ./Makefile
%patch -p1 -b .bcl

%build
make all

# License of some fonts are not covered by doc/*LEGALNOTICE.
# Thus we at least extract the comments from the fonts
for f in 6x10s 6x13Bs 6x13s 7x13Bs 7x13s 7x14Bs 7x14s 8x13Bs 8x13s nil2s; do
	grep COMMENT misc/${f}.bdf > doc/${f}_COMMENTS
done

%install
rm -rf %{buildroot}

DSTFONT=%{buildroot}/usr/X11R6/lib/X11/fonts/%{ISONAME}
make install PREFIX=%{buildroot} \
	FONTDIR=$DSTFONT

chmod -x doc/*.pl

%clean
rm -rf %{buildroot}

%post
if [ "$LANG" = "ru_RU.KOI8-R" -o "$LANG" = "uk_UA.KOI8-U" ]; then
	/usr/sbin/chkfontpath -q --first -a /usr/X11R6/lib/X11/fonts/%{ISONAME}/misc
else
	/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/%{ISONAME}/misc
fi
%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/%{ISONAME}/misc
fi

%post 75dpi-fonts
if [ "$LANG" = "ru_RU.KOI8-R" -o "$LANG" = "uk_UA.KOI8-U" ]; then
	/usr/sbin/chkfontpath -q --first -a /usr/X11R6/lib/X11/fonts/%{ISONAME}/75dpi
else
	/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/%{ISONAME}/75dpi
fi

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/%{ISONAME}/75dpi
fi

%post 100dpi-fonts
if [ "$LANG" = "ru_RU.KOI8-R" -o "$LANG" = "uk_UA.KOI8-U" ]; then
	/usr/sbin/chkfontpath -q --first -a /usr/X11R6/lib/X11/fonts/%{ISONAME}/100dpi
else
	/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/%{ISONAME}/75dpi
fi

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/%{ISONAME}/100dpi
fi

%files
%defattr(-,root,root)
%doc doc/*
%dir /usr/X11R6/lib/X11/fonts/%{ISONAME}
/usr/X11R6/lib/X11/fonts/%{ISONAME}/misc

%files 75dpi-fonts
%defattr(-,root,root)
%doc doc/CHT_LEGALNOTICE doc/LU_LEGALNOTICE
/usr/X11R6/lib/X11/fonts/%{ISONAME}/75dpi

%files 100dpi-fonts
%defattr(-,root,root)
%doc Cyrillic/COPYRIGHT
/usr/X11R6/lib/X11/fonts/%{ISONAME}/100dpi

%changelog
* Mon Nov 24 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-11m)
- No NoSource: 2

* Fri Nov 21 2003 zunda <zunda at freeshell.org>
- (1.0-10m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Oct  4 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.0-9m)
add BuildPreReq: XFree86-font-utils

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (1.0-8k)
- No docs could be excutable :-p

* Thu Nov 30 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- Source0 included

* Tue Nov 28 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- remake Patch0

* Sun Sep 17 2000 Toru Hoshina <t@kondara.org>
- merge from pinstripe :-P
- fonts moved from /usr/share/fonts/ISO8859-2 under new Kondara font scheme.

* Thu Jul 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix %%defattr in the wrong place in the files list

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- adopted for Winston. 
